'use strict';

var matchers = require('./matchers.js');
var matchersJestonly = require('./matchers-jestonly.js');
var jestDiff = require('./jest-diff.js');
require('./matcher-utils.js');
require('./core.js');
require('ajv');
require('./elements.js');
require('./meta-helper.js');
require('./utils/natural-join.js');
require('@sidvind/better-ajv-errors');
require('node:fs');
require('kleur');
require('@html-validate/stylish');
require('semver');
require('./core-nodejs.js');
require('node:path');
require('node:fs/promises');
require('node:url');
require('jest-snapshot');
require('jest-diff');

expect.extend({
  toBeValid: matchers.createMatcher(),
  toBeInvalid: matchers.createMatcher$1(),
  toHTMLValidate: matchers.createMatcher$2(expect, jestDiff.diff),
  toHaveError: matchers.createMatcher$3(expect, jestDiff.diff),
  toHaveErrors: matchers.createMatcher$4(expect, jestDiff.diff),
  toMatchCodeframe: matchersJestonly.createMatcher(),
  toMatchInlineCodeframe: matchersJestonly.createMatcher$1()
});
//# sourceMappingURL=jest.js.map
