'use strict';

function isThenable(value) {
  return value && typeof value === "object" && "then" in value && typeof value.then === "function";
}

function diverge(fn) {
  function diverged(actual, ...args) {
    if (isThenable(actual)) {
      return actual.then((resolved) => fn.call(this, resolved, ...args));
    } else {
      return fn.call(this, actual, ...args);
    }
  }
  return diverged;
}

function flattenMessages(report) {
  return report.results.reduce((aggregated, result) => {
    return aggregated.concat(result.messages);
  }, []);
}

exports.diverge = diverge;
exports.flattenMessages = flattenMessages;
exports.isThenable = isThenable;
//# sourceMappingURL=matcher-utils.js.map
